# -*- coding: utf-8 -*-

import logging

logger = logging.getLogger()

class SavedStatus(object):
    def __init__(self):
        super(SavedStatus, self).__init__()
        self._saved = True

    def is_saved(self):
        return self._saved

    def save(self):
        logger.debug("model status set as saved")
        self._saved = True

    def modified(self):
        logger.debug("model status set as modified")
        self._saved = False
